# RDF-Spezifikationen am Technikum Wien

Diese Seite beschreibt den Inhalt und die Verwendung aller vorhandenen RDF-Files am Technikum Wien. Die gesamte RDF-Struktur ist gerade im Aufbau und kann sich deshalb jederzeit ändern. Es sei darauf hingewiesen, dass die RDF-Files von heute, morgen vielleicht gar nicht mehr oder anders zu verwenden sind.

## Student

Aufruf: student.rdf.php?stg_kz=...&sem=...&ver=...&grp=...&einheit=...&uid=...
Beispiel: student.rdf.php?stg_kz=227&sem=2
Parameter:

- stg_kz: Studiengangskennzahl
- sem: Semester (optional)
- ver: Verband (optional)
- grp: Gruppe (optional)
- einheit: Spezialgruppen, Module, ... (optional)
- uid: UID eines bestimmten Studenten (Wenn gesetzt werden alle anderen Parameter nicht verwendet)

Attribute:

- uid
- titel
- vornamen
- nachname
- matrikelnummer
- geburtsdatum
- email
- homepage
- aktiv
- gebort
- gebzeit
- foto
- anmerkungen
- updateamum
- updatevon
- gruppe
- verband
- semester
- studiengang_kz
- stg_bezeichnung

## Lehrstunde

Aufruf: lehrstunde.rdf.php?datum=...&datum_bis=...stg_kz=...&sem=...&ver=...&grp=...&einheit=...
Beispiel: lehrstunde.rdf.php?datum=2006-03-20&stg_kz=258
Parameter:

- datum
- datum_bis: Endedatum (optional)
- stunde
- type
- stg_kz
- sem
- ver
- grp
- einheit
- pers_uid
- ort_kurzbz

Attribute:

- datum
- stunde
- unr
- ort_kurzbz
- lehrfach
- lehrfach_bez
- lehrform
- lektor
- semester
- verband
- gruppe
- einheit
- lehrform
- studiengang
- farbe
- anmerkung